惠普 Teradici PCoIP 受漏洞影响, 波及 1500  万个端点

2022-04-13
330

Bleeping Computer 网站披露,用于 Windows、Linux 和 macOS 的 Teradici PCoIP 客户端和代理中存在一个安全漏洞,影响到 1500 万个端点。

Teradici PCoIP(PC over IP)是一个授权给虚拟化产品供应商的专有远程桌面协议,2021 年被惠普收购,此后一直在其产品上使用。据官网介绍,Teradici PCoIP 产品已部署在 1500 万个终端上,主要支持政府机构、军事单位、游戏开发公司、广播公司、新闻机构等。

最近,安全研究人员发现 Teradici 受到最近披露的 OpenSSL 证书解析漏洞影响,该漏洞导致无限拒绝服务循环。

其他漏洞

最近一段时间,惠普在两份公告中披露了十几个漏洞,其中 3 个带有严重性(CVSS v3评分:9.8),8 个被归类为高严重性,1 个中等。

这次修复是最重要的漏洞之一 CVE-2022-0778,是 OpenSSL 中由解析恶意制作证书触发的拒绝服务漏洞。该漏洞将导致软件无响应的循环,考虑到产品的关键任务应用程序,这种攻击将非常具有破坏性,用户将不再能够远程访问设备。

另一组修复的漏洞是 CVE-2022-22822、CVE-2022-22823 和 CVE-2022-22824,都是 libexpat 中的整数溢出和无效移位问题,可能导致不可控制的资源消耗、权限提升和远程代码执行。

其余 5 个高危漏洞也是整数溢出漏洞,被追踪为 CVE-2021-45960、CVE-2022-22825、CVE-2022-22826、CVE-2022-22827 和 CVE-2021-46143。受上述漏洞影响的产品包括 PCoIP 客户端、客户端 SDK、图形代理和 Windows、Linux和macOS 的标准代理。

据悉,为了解决漏洞问题,惠普在 2022 年 4 月 4 日和 5 日发布了安全更新,并敦促用户更新到 22.01.3或更高版本,新版本使用了 OpenSSL 1.1.1n 和 libexpat 2.4.7。

OpenSSL 的影响

虽然 OpenSSL DoS 漏洞不是一个灾难性的缺陷,但其广泛部署,仍然是一个重大问题。上个月末,QNAP 警告称,其大多数 NAS 设备容易受到 CVE-2022-0778 漏洞影响,用户应尽快应用安全更新。另外,为了避免受 OpenSSL DoS 漏洞影响,Palo Alto Networks 也为其 VPN、XDR 和防火墙产品客户提供安全更新和缓解措施。

转载时必须以链接形式注明原始出处及本声明